-
Notifications
You must be signed in to change notification settings - Fork 605
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
Archive runtime/core every successful Travis build.
- v5.0
- v4.20
- v4.19
- v4.18
- v4.17
- v4.16
- v4.15
- v4.14
- v4.13
- v4.12
- v4.11
- v4.10
- v4.9
- v4.8
- v4.7
- v4.6
- v4.5
- v4.4
- v4.3
- v4.2
- v4.1
- v4.0
- v3.107
- v3.106
- v3.105
- v3.104
- v3.103
- v3.102
- v3.101
- v3.100
- v3.99
- v3.98
- v3.97
- v3.96
- v3.95
- v3.94
- v3.93
- v3.92
- v3.91
- v3.90
- v3.89
- v3.88
- v3.87
- v3.86
- v3.85
- v3.84
- v3.83
- v3.82
- v3.81
- v3.80
- v3.79
- v3.78
- v3.77
- v3.76
- v3.75
- v3.74
- v3.73
- v3.72
- v3.71
- v3.70
- v3.69
- v3.68
- v3.67
- v3.66
- v3.65
- v3.64
- v3.63
- v3.62
- v3.61
- v3.60
- v3.59
- v3.58
- v3.57
- v3.56
- v3.55
- v3.54
- v3.53
- v3.52
- v3.51
- v3.50
- v3.49
- v3.48
- v3.47
- v3.46
- v3.45
- v3.44
- v3.43
- v3.42
- v3.41
- v3.40
- v3.39
- v3.38
- v3.37
- v3.36
- v3.35
- v3.34
- v3.33
- v3.32
Showing
5 changed files
with
83 additions
and
17 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,48 @@ | ||
#!/bin/bash | ||
|
||
__dir__="$(cd "$(dirname "$0")" && pwd)" | ||
|
||
# shellcheck source=scripts/configuration.sh | ||
source "$__dir__/configuration.sh" | ||
# shellcheck source=scripts/aws.sh | ||
source "$__dir__/aws.sh" | ||
# shellcheck source=scripts/io.sh | ||
source "$__dir__/io.sh" | ||
|
||
function rbx_archive_core { | ||
local archive ext url bucket | ||
|
||
archive="$(rbx_runtime_core_name)" | ||
ext=".sha512" | ||
bucket="$(rbx_binary_bucket)" | ||
url=$(rbx_url_prefix "$bucket") | ||
|
||
rm -f "$archive" "$archive$ext" | ||
|
||
"$__dir__/package.sh" core || fail "unable to package runtime core" | ||
|
||
rbx_s3_upload "$url" "$bucket" "$archive" "$archive" "/runtime/" || | ||
fail "unable to upload runtime core archive" | ||
rbx_s3_upload "$url" "$bucket" "$archive$ext" "$archive$ext" "/runtime/" || | ||
fail "unable to upload runtime core archive digest" | ||
|
||
rm -f "$archive" "$archive$ext" | ||
} | ||
|
||
function rbx_build_support_usage { | ||
cat >&2 <<-EOM | ||
Usage: ${0##*/} archive_core | ||
EOM | ||
exit 1 | ||
} | ||
|
||
if [[ "${BASH_SOURCE[0]}" == "${0}" ]]; then | ||
case "$1" in | ||
"archive_core") | ||
rbx_archive_core | ||
;; | ||
"-h"|"--help"|*) | ||
rbx_build_support_usage | ||
;; | ||
esac | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters